Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class X509Certificate

    java.lang.Object
      |
      +--java.security.cert.Certificate
            |
            +--java.security.cert.X509Certificate

All Implemented Interfaces:
  X509Extension

Direct Known Subclasses:
  X509CertificateObject

public abstract class X509Certificate
extends Certificate
implements X509Extension

Constructor Summary
`protected` | `X509Certificate()`

Method Summary
`abstract void` | `checkValidity()`
`abstract void` | `checkValidity(java.util.Date date)`
`abstract int` | `getBasicConstraints()`
`abstract java.security.Principal` | `getIssuerDN()`
`abstract boolean[]` | `getIssuerUniqueID()`
`abstract boolean[]` | `getKeyUsage()`
`abstract java.util.Date` | `getNotAfter()`
`abstract java.util.Date` | `getNotBefore()`
`abstract java.math.BigInteger` | `getSerialNumber()`
`abstract java.lang.String` | `getSigAlgName()`
`abstract java.lang.String` | `getSigAlgOID()`
`abstract byte[]` | `getSigAlgParams()`
`abstract byte[]` | `getSignature()`
`abstract java.security.Principal` | `getSubjectDN()`
`abstract boolean[]` | `getSubjectUniqueID()`
`abstract byte[]` | `getTBSCertificate()`
`abstract int` | `getVersion()`

Methods inherited from class java.security.cert.Certificate
`equals, getEncoded, getPublicKey, getType, hashCode, toString, verify, verify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.cert.X509Extension
`getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

Constructor Detail

### X509Certificate

    protected X509Certificate()

Method Detail

### checkValidity

    public abstract void checkValidity()
                                throws CertificateExpiredException,
                                       CertificateNotYetValidException

    `CertificateExpiredException`
    `CertificateNotYetValidException`

### checkValidity

    public abstract void checkValidity(java.util.Date date)
                                throws CertificateExpiredException,
                                       CertificateNotYetValidException

    `CertificateExpiredException`
    `CertificateNotYetValidException`

### getBasicConstraints

    public abstract int getBasicConstraints()

### getIssuerDN

    public abstract java.security.Principal getIssuerDN()

### getIssuerUniqueID

    public abstract boolean[] getIssuerUniqueID()

### getKeyUsage

    public abstract boolean[] getKeyUsage()

### getNotAfter

    public abstract java.util.Date getNotAfter()

### getNotBefore

    public abstract java.util.Date getNotBefore()

### getSerialNumber

    public abstract java.math.BigInteger getSerialNumber()

### getSigAlgName

    public abstract java.lang.String getSigAlgName()

### getSigAlgOID

    public abstract java.lang.String getSigAlgOID()

### getSigAlgParams

    public abstract byte[] getSigAlgParams()

### getSignature

    public abstract byte[] getSignature()

### getSubjectDN

    public abstract java.security.Principal getSubjectDN()

### getSubjectUniqueID

    public abstract boolean[] getSubjectUniqueID()

### getTBSCertificate

    public abstract byte[] getTBSCertificate()
                                      throws CertificateEncodingException

    `CertificateEncodingException`

### getVersion

    public abstract int getVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD